[med-svn] [Git][med-team/libthread-pool][master] 3 commits: document Standards-Version: 4.3.0; no changes needed

Michael R. Crusoe gitlab at salsa.debian.org
Fri Feb 15 16:38:57 GMT 2019


Michael R. Crusoe pushed to branch master at Debian Med / libthread-pool


Commits:
666efa01 by Michael R. Crusoe at 2019-02-15T15:52:00Z
document Standards-Version: 4.3.0; no changes needed

- - - - -
f8ff75e9 by Michael R. Crusoe at 2019-02-15T15:55:24Z
Update homepage URL.

- - - - -
2002dac2 by Michael R. Crusoe at 2019-02-15T16:38:35Z
build & run the tests

- - - - -


6 changed files:

- debian/changelog
- debian/control
- debian/rules
- + debian/tests/CMakeLists.txt
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -3,6 +3,11 @@ libthread-pool (1.0.0-3) UNRELEASED; urgency=medium
   * Team upload.
   * Add missing '-pthread'
   * Remove trailing whitespace in debian/copyright
+  * Standards-Version: 4.3.0; no changes needed
+  * Update homepage URL.
+  * Build the included tests and run them
+  * As an autopkgtest, build the tests against the installed package and run
+    them.
 
  -- Michael R. Crusoe <michael.crusoe at gmail.com>  Fri, 04 Jan 2019 09:44:11 -0800
 


=====================================
debian/control
=====================================
@@ -7,11 +7,11 @@ Build-Depends: debhelper (>= 11~),
                cmake,
                d-shlibs,
                rename,
-               libgtest-dev
+               googletest
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/libthread-pool
 Vcs-Git: https://salsa.debian.org/med-team/libthread-pool.git
-Homepage: https://github.com/rvaser/libthread-pool
+Homepage: https://github.com/rvaser/thread_pool
 
 Package: libthread-pool0
 Architecture: any


=====================================
debian/rules
=====================================
@@ -8,6 +8,14 @@ export DEB_LDFLAGS_MAINT_APPEND+=-pthread
 %:
 	dh $@
 
+override_dh_auto_configure:
+	rm -Rf vendor/*
+	ln -s /usr/src/googletest ./vendor/
+	dh_auto_configure -- -Dthread_pool_build_tests=ON
+
+override_dh_auto_test:
+	./obj-*/bin/thread_pool_test
+
 override_dh_install:
 	dh_install
 	file-rename 's/_static\.a/.a/' `find debian -name "lib*_static.a"`


=====================================
debian/tests/CMakeLists.txt
=====================================
@@ -0,0 +1,10 @@
+cmake_minimum_required(VERSION 3.2)
+project(thread_pool_test)
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic")
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+add_executable(thread_pool_test thread_pool_test.cpp)
+add_subdirectory(/usr/src/googletest .. EXCLUDE_FROM_ALL)
+target_link_libraries(thread_pool_test thread_pool gtest_main)


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, googletest
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+pkg=libthread-pool
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a test/* $AUTOPKGTEST_TMP
+cp -a debian/tests/CMakeLists.txt $AUTOPKGTEST_TMP
+
+cd $AUTOPKGTEST_TMP
+mkdir build
+cd build
+cmake ..
+make
+./thread_pool_test



View it on GitLab: https://salsa.debian.org/med-team/libthread-pool/compare/3c7859620f1255bf119d6acf036e0a13a2382570...2002dac22bc3da565f4a5820664986a5d44a62e8

-- 
View it on GitLab: https://salsa.debian.org/med-team/libthread-pool/compare/3c7859620f1255bf119d6acf036e0a13a2382570...2002dac22bc3da565f4a5820664986a5d44a62e8
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190215/72b99a70/attachment-0001.html>


More information about the debian-med-commit mailing list